2017-04-24 15:10 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003172Kali Linux[All Projects] Kali Package Improvementpublic2016-07-28 21:09
Reporterrhertzog 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version2016.1 
Target Version2016.2Fixed in Version2016.2 
Summary0003172: Push our vboot-utils to Debian and add arm64 support
DescriptionThe Debian package of vboot-utils is up for adoption (see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=798556). We should use this opportunity to move our updated package into Debian in the new pkg-security team.

At the same time, we can add arm64 support with the attached patch provided by Steev Klimaszewski.
Attached Files
  • patch file icon fix-arm64-build.patch (1,574 bytes) 2016-03-18 11:37 -
    Description: attempt to fix building on arm64
     TODO: Put a short summary on the line above and replace this paragraph
     with a longer explanation of this change. Complete the meta-information
     with other relevant fields (see below for details). To make it easier, the
     information below has been extracted from the changelog. Adjust it or drop
     it.
     .
     vboot-utils (0~R48-7647.B-0kali3) kali-dev; urgency=medium
     .
       * Fix debian/control: add a Replaces and a Breaks on package
         vboot-kernel-utils to avoid file conflict during upgrade (closes: 0002942)
    Author: Sophie Brun <sophie@freexian.com>
    Bug-Debian: https://bugs.debian.org/0002942
    
    ---
    The information above should follow the Patch Tagging Guidelines, please
    checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
    are templates for supplementary fields that you might want to add:
    
    Origin: <vendor|upstream|other>, <url of original patch>
    Bug: <url in upstream bugtracker>
    Bug-Debian: https://bugs.debian.org/<bugnumber>
    Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
    Forwarded: <no|not-needed|url proving that it has been forwarded>
    Reviewed-By: <name and email of someone who approved the patch>
    Last-Update: <YYYY-MM-DD>
    
    --- vboot-utils-0~R48-7647.B.orig/Makefile
    +++ vboot-utils-0~R48-7647.B/Makefile
    @@ -96,6 +96,9 @@ _machname := $(shell uname -m)
     ifneq (,$(findstring arm,${_machname}))
     	override _machname := arm
     endif
    +ifneq (,$(findstring aarch64,${_machname}))
    +	override _machname := arm
    +endif
     ifneq (,$(findstring i686,${_machname}))
     	override _machname := x86
     endif
    
    patch file icon fix-arm64-build.patch (1,574 bytes) 2016-03-18 11:37 +

-Relationships
+Relationships

-Notes

~0004995

threeway (developer)

Thumbs up from me.

~0005602

sbrun (developer)

We uploaded the new version 0~R52-8350.B-1 in debian unstable. It should migrate in debian testing (and kali-rolling) in few days.
arm64 support has been added

~0005612

rhertzog (administrator)

Just imported latest vboot-utils with arm64 support from debian unstable.
+Notes

-Issue History
Date Modified Username Field Change
2016-03-18 11:37 rhertzog New Issue
2016-03-18 11:37 rhertzog Status new => assigned
2016-03-18 11:37 rhertzog Assigned To => sbrun
2016-03-18 11:37 rhertzog File Added: fix-arm64-build.patch
2016-03-18 20:21 threeway Note Added: 0004995
2016-07-27 12:55 sbrun Note Added: 0005602
2016-07-28 21:09 rhertzog Note Added: 0005612
2016-07-28 21:09 rhertzog Status assigned => resolved
2016-07-28 21:09 rhertzog Fixed in Version => 2016.2
2016-07-28 21:09 rhertzog Resolution open => fixed
+Issue History